;/**
; *******************************************************************************
; * @file    startup_TMPM461.s
; * @brief   CMSIS Cortex-M4 Core Device Startup File for the
; *          TOSHIBA 'TMPM461' Device Series
; * @version V2.0.2.2
; * @date    2014/04/30
; * 
; * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
; * 
; * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
; *******************************************************************************
; */
;
; The modules in this file are included in the libraries, and may be replaced
; by any user-defined modules that define the PUBLIC symbol _program_start or
; a user defined start symbol.
; To override the cstartup defined in the library, simply add your modified
; version to the workbench project.
;
; Cortex-M version
;

                MODULE  ?cstartup

                ;; Forward declaration of sections.
                SECTION CSTACK:DATA:NOROOT(3)

                SECTION .intvec:CODE:NOROOT(2)

                EXTERN  __iar_program_start
                EXTERN  SystemInit
                PUBLIC  __vector_table

                DATA
__vector_table  DCD     sfe(CSTACK)
                DCD     Reset_Handler

                DCD     NMI_Handler               ; NMI Handler
                DCD     HardFault_Handler         ; Hard Fault Handler
                DCD     MemManage_Handler         ; MPU Fault Handler
                DCD     BusFault_Handler          ; Bus Fault Handler
                DCD     UsageFault_Handler        ; Usage Fault Handler
                DCD     0                         ; Reserved
                DCD     0                         ; Reserved
                DCD     0                         ; Reserved
                DCD     0                         ; Reserved
                DCD     SVC_Handler               ; SVCall Handler
                DCD     DebugMon_Handler          ; Debug Monitor Handler
                DCD     0                         ; Reserved
                DCD     PendSV_Handler            ; PendSV Handler
                DCD     SysTick_Handler           ; SysTick Handler

                ; External Interrupts
                DCD     INT0_IRQHandler           ; 0:  Interrupt pin 0
                DCD     INT1_IRQHandler           ; 1:  Interrupt pin 1
                DCD     INT2_IRQHandler           ; 2:  Interrupt pin 2
                DCD     INT3_IRQHandler           ; 3:  Interrupt pin 3
                DCD     INT4_IRQHandler           ; 4:  Interrupt pin 4
                DCD     INT5_IRQHandler           ; 5:  Interrupt pin 5
                DCD     INT6_IRQHandler           ; 6:  Interrupt pin 6
                DCD     INT7_IRQHandler           ; 7:  Interrupt pin 7
                DCD     INT8_IRQHandler           ; 8:  Interrupt pin 8
                DCD     INT9_IRQHandler           ; 9:  Interrupt pin 9
                DCD     INTA_IRQHandler           ; 10: Interrupt pin A
                DCD     INTB_IRQHandler           ; 11: Interrupt pin B
                DCD     INTC_IRQHandler           ; 12: Interrupt pin C
                DCD     INTD_IRQHandler           ; 13: Interrupt pin D
                DCD     INTE_IRQHandler           ; 14: Interrupt pin E
                DCD     INTF_IRQHandler           ; 15: Interrupt pin F
                DCD     INTRX0_IRQHandler         ; 16: Serial0 reception interrupt
                DCD     INTTX0_IRQHandler         ; 17: Serial0 transmission interrupt
                DCD     INTRX1_IRQHandler         ; 18: Serial1 reception interrupt
                DCD     INTTX1_IRQHandler         ; 19: Serial1 transmission interrupt
                DCD     INTRX2_IRQHandler         ; 20: Serial2 reception interrupt
                DCD     INTTX2_IRQHandler         ; 21: Serial2 transmission interrupt
                DCD     INTRX3_IRQHandler         ; 22: Serial3 reception interrupt
                DCD     INTTX3_IRQHandler         ; 23: Serial3 transmission interrupt
                DCD     INTRX4_IRQHandler         ; 24: Serial4 reception interrupt
                DCD     INTTX4_IRQHandler         ; 25: Serial4 transmission interrupt
                DCD     INTRX5_IRQHandler         ; 26: Serial5 reception interrupt
                DCD     INTTX5_IRQHandler         ; 27: Serial5 transmission interrupt
                DCD     INTUART0_IRQHandler       ; 28: Full UART0 transmission and reception interrupt
                DCD     INTUART1_IRQHandler       ; 29: Full UART1 transmission and reception interrupt
                DCD     INTI2C0_IRQHandler        ; 30: I2C0 transmission and reception interrupt
                DCD     INTI2C1_IRQHandler        ; 31: I2C1 transmission and reception interrupt
                DCD     INTI2C2_IRQHandler        ; 32: I2C2 transmission and reception interrupt
                DCD     INTI2C3_IRQHandler        ; 33: I2C3 transmission and reception interrupt
                DCD     INTI2C4_IRQHandler        ; 34: I2C4 transmission and reception interrupt
                DCD     INTSSP0_IRQHandler        ; 35: SSP(SPI) Serial interface 0 interrupt 
                DCD     INTSSP1_IRQHandler        ; 36: SSP(SPI) Serial interface 1 interrupt 
                DCD     INTSSP2_IRQHandler        ; 37: SSP(SPI) Serial interface 2 interrupt 
                DCD     INTCECRX_IRQHandler       ; 38: CEC reception interrupt
                DCD     INTCECTX_IRQHandler       ; 39: CEC transmission interrupt
                DCD     INTRMCRX0_IRQHandler      ; 40: Remote control reception 0 interrupt
                DCD     INTADHP_IRQHandler        ; 41: High Priority AD conversion interrupt
                DCD     INTADM0_IRQHandler        ; 42: AD conversion monitor interrupt 0
                DCD     INTADM1_IRQHandler        ; 43: AD conversion monitor interrupt 1
                DCD     INTAD_IRQHandler          ; 44: AD conversion interrupt 
                DCD     INTRTC_IRQHandler         ; 45: Real time clock interrupt
                DCD     INTMTEMG0_IRQHandler      ; 46: MPT0 EMG interrupt
                DCD     INTMTPTB00_IRQHandler     ; 47: MPT0 compare match0/overflow,IGBT cycle interrupt
                DCD     INTMTPTB01_IRQHandler     ; 48: MPT0 compare match1/overflow,IGBT cycle interrupt
                DCD     INTMTCAP00_IRQHandler     ; 49: MPT0 input capture0 interrupt
                DCD     INTMTCAP01_IRQHandler     ; 50: MPT0 input capture1 interrupt
                DCD     INTMTEMG1_IRQHandler      ; 51: MPT1 EMG interrupt
                DCD     INTMTPTB10_IRQHandler     ; 52: MPT1 compare match0/overflow,IGBT cycle interrupt
                DCD     INTMTPTB11_IRQHandler     ; 53: MPT1 compare match1/overflow,IGBT cycle interrupt
                DCD     INTMTCAP10_IRQHandler     ; 54: MPT1 input capture0 interrupt
                DCD     INTMTCAP11_IRQHandler     ; 55: MPT1 input capture1 interrupt
                DCD     INTTB0_IRQHandler         ; 56: TMRB0 compare match detection interrupt
                DCD     INTTB1_IRQHandler         ; 57: TMRB1 compare match detection interrupt
                DCD     INTTB2_IRQHandler         ; 58: TMRB2 compare match detection interrupt
                DCD     INTTB3_IRQHandler         ; 59: TMRB3 compare match detection interrupt
                DCD     INTTB4_IRQHandler         ; 60: TMRB4 compare match detection interrupt
                DCD     INTTB5_IRQHandler         ; 61: TMRB5 compare match detection interrupt
                DCD     INTTB6_IRQHandler         ; 62: TMRB6 compare match detection interrupt
                DCD     INTTB7_IRQHandler         ; 63: TMRB7 compare match detection interrupt
                DCD     INTTB8_IRQHandler         ; 64: TMRB8 compare match detection interrupt
                DCD     INTTB9_IRQHandler         ; 65: TMRB9 compare match detection interrupt
                DCD     INTTBA_IRQHandler         ; 66: TMRBA compare match detection interrupt
                DCD     INTTBB_IRQHandler         ; 67: TMRBB compare match detection interrupt
                DCD     INTTBC_IRQHandler         ; 68: TMRBC compare match detection interrupt
                DCD     INTTBD_IRQHandler         ; 69: TMRBD compare match detection interrupt
                DCD     INTTBE_IRQHandler         ; 70: TMRBE compare match detection interrupt
                DCD     INTTBF_IRQHandler         ; 71: TMRBF compare match detection interrupt
                DCD     INTCAP00_IRQHandler       ; 72: TMRB0 input capture 0 interrupt
                DCD     INTCAP01_IRQHandler       ; 73: TMRB0 input capture 1 interrupt
                DCD     INTCAP10_IRQHandler       ; 74: TMRB1 input capture 0 interrupt
                DCD     INTCAP11_IRQHandler       ; 75: TMRB1 input capture 1 interrupt
                DCD     INTCAP20_IRQHandler       ; 76: TMRB2 input capture 0 interrupt
                DCD     INTCAP21_IRQHandler       ; 77: TMRB2 input capture 1 interrupt
                DCD     INTCAP30_IRQHandler       ; 78: TMRB3 input capture 0 interrupt
                DCD     INTCAP31_IRQHandler       ; 79: TMRB3 input capture 1 interrupt
                DCD     INTCAP40_IRQHandler       ; 80: TMRB4 input capture 0 interrupt
                DCD     INTCAP41_IRQHandler       ; 81: TMRB4 input capture 1 interrupt
                DCD     INTCAP50_IRQHandler       ; 82: TMRB5 input capture 0 interrupt
                DCD     INTCAP51_IRQHandler       ; 83: TMRB5 input capture 1 interrupt
                DCD     INTCAP60_IRQHandler       ; 84: TMRB6 input capture 0 interrupt
                DCD     INTCAP61_IRQHandler       ; 85: TMRB6 input capture 1 interrupt
                DCD     INTCAP70_IRQHandler       ; 86: TMRB7 input capture 0 interrupt
                DCD     INTCAP71_IRQHandler       ; 87: TMRB7 input capture 1 interrupt
                DCD     INTCAP80_IRQHandler       ; 88: TMRB8 input capture 0 interrupt
                DCD     INTCAP81_IRQHandler       ; 89: TMRB8 input capture 1 interrupt
                DCD     INTCAP90_IRQHandler       ; 90: TMRB9 input capture 0 interrupt
                DCD     INTCAP91_IRQHandler       ; 91: TMRB9 input capture 1 interrupt
                DCD     INTCAPA0_IRQHandler       ; 92: TMRBA input capture 0 interrupt
                DCD     INTCAPA1_IRQHandler       ; 93: TMRBA input capture 1 interrupt
                DCD     INTCAPB0_IRQHandler       ; 94: TMRBB input capture 0 interrupt
                DCD     INTCAPB1_IRQHandler       ; 95: TMRBB input capture 1 interrupt
                DCD     INTCAPC0_IRQHandler       ; 96: TMRBC input capture 0 interrupt
                DCD     INTCAPC1_IRQHandler       ; 97: TMRBC input capture 1 interrupt
                DCD     INTCAPD0_IRQHandler       ; 98: TMRBD input capture 0 interrupt
                DCD     INTCAPD1_IRQHandler       ; 99: TMRBD input capture 1 interrupt
                DCD     INTCAPE0_IRQHandler       ; 100:  TMRBE input capture 0 interrupt
                DCD     INTCAPE1_IRQHandler       ; 101:  TMRBE input capture 1 interrupt
                DCD     INTCAPF0_IRQHandler       ; 102:  TMRBF input capture 0 interrupt
                DCD     INTCAPF1_IRQHandler       ; 103:  TMRBF input capture 1 interrupt
                DCD     INTDMAA_IRQHandler        ; 104:  DMAC transmission completion interrupt(unitA)
                DCD     INTDMAB_IRQHandler        ; 105:  DMAC transmission completion interrupt(unitB)
                DCD     INTDMAC_IRQHandler        ; 106:  DMAC transmission completion interrupt(unitC)
                DCD     INTDMAAERR_IRQHandler     ; 107:  DMAC transmission error interrupt(unitA)
                DCD     INTDMABERR_IRQHandler     ; 108:  DMAC transmission error interrupt(unitB)
                DCD     INTDMACERR_IRQHandler     ; 109:  DMAC transmission error interrupt(unitC)
                DCD     INTFLRDY_IRQHandler       ; 110:  Flash Ready interrupt
                THUMB
; Dummy Exception Handlers (infinite loops which can be modified)

                PUBWEAK Reset_Handler
                SECTION .text:CODE:REORDER:NOROOT(2)
Reset_Handler
                LDR     R0, =SystemInit
                BLX     R0
                LDR     R0, =__iar_program_start
                BX      R0

                PUBWEAK NMI_Handler
                SECTION .text:CODE:REORDER:NOROOT(1)
NMI_Handler
                B       NMI_Handler

                PUBWEAK HardFault_Handler
                SECTION .text:CODE:REORDER:NOROOT(1)
HardFault_Handler
                B       HardFault_Handler

                PUBWEAK MemManage_Handler
                SECTION .text:CODE:REORDER:NOROOT(1)
MemManage_Handler
                B       MemManage_Handler

                PUBWEAK BusFault_Handler
                SECTION .text:CODE:REORDER:NOROOT(1)
BusFault_Handler
                B       BusFault_Handler

                PUBWEAK UsageFault_Handler
                SECTION .text:CODE:REORDER:NOROOT(1)
UsageFault_Handler
                B       UsageFault_Handler

                PUBWEAK SVC_Handler
                SECTION .text:CODE:REORDER:NOROOT(1)
SVC_Handler
                B       SVC_Handler

                PUBWEAK DebugMon_Handler
                SECTION .text:CODE:REORDER:NOROOT(1)
DebugMon_Handler
                B       DebugMon_Handler

                PUBWEAK PendSV_Handler
                SECTION .text:CODE:REORDER:NOROOT(1)
PendSV_Handler
                B       PendSV_Handler

                PUBWEAK SysTick_Handler
                SECTION .text:CODE:REORDER:NOROOT(1)
SysTick_Handler
                B       SysTick_Handler

                PUBWEAK INT0_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INT0_IRQHandler
                B       INT0_IRQHandler

                PUBWEAK INT1_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INT1_IRQHandler
                B       INT1_IRQHandler

                PUBWEAK INT2_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INT2_IRQHandler
                B       INT2_IRQHandler

                PUBWEAK INT3_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INT3_IRQHandler
                B       INT3_IRQHandler

                PUBWEAK INT4_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INT4_IRQHandler
                B       INT4_IRQHandler

                PUBWEAK INT5_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INT5_IRQHandler
                B       INT5_IRQHandler

                PUBWEAK INT6_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INT6_IRQHandler
                B       INT6_IRQHandler

                PUBWEAK INT7_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INT7_IRQHandler
                B       INT7_IRQHandler

                PUBWEAK INT8_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INT8_IRQHandler
                B       INT8_IRQHandler

                PUBWEAK INT9_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INT9_IRQHandler
                B       INT9_IRQHandler

                PUBWEAK INTA_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTA_IRQHandler
                B       INTA_IRQHandler

                PUBWEAK INTB_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTB_IRQHandler
                B       INTB_IRQHandler

                PUBWEAK INTC_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTC_IRQHandler
                B       INTC_IRQHandler

                PUBWEAK INTD_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTD_IRQHandler
                B       INTD_IRQHandler

                PUBWEAK INTE_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTE_IRQHandler
                B       INTE_IRQHandler

                PUBWEAK INTF_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTF_IRQHandler
                B       INTF_IRQHandler

                PUBWEAK INTRX0_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTRX0_IRQHandler
                B       INTRX0_IRQHandler

                PUBWEAK INTTX0_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTX0_IRQHandler
                B       INTTX0_IRQHandler

                PUBWEAK INTRX1_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTRX1_IRQHandler
                B       INTRX1_IRQHandler

                PUBWEAK INTTX1_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTX1_IRQHandler
                B       INTTX1_IRQHandler

                PUBWEAK INTRX2_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTRX2_IRQHandler
                B       INTRX2_IRQHandler

                PUBWEAK INTTX2_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTX2_IRQHandler
                B       INTTX2_IRQHandler

                PUBWEAK INTRX3_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTRX3_IRQHandler
                B       INTRX3_IRQHandler

                PUBWEAK INTTX3_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTX3_IRQHandler
                B       INTTX3_IRQHandler

                PUBWEAK INTRX4_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTRX4_IRQHandler
                B       INTRX4_IRQHandler

                PUBWEAK INTTX4_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTX4_IRQHandler
                B       INTTX4_IRQHandler

                PUBWEAK INTRX5_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTRX5_IRQHandler
                B       INTRX5_IRQHandler

                PUBWEAK INTTX5_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTX5_IRQHandler
                B       INTTX5_IRQHandler

                PUBWEAK INTUART0_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTUART0_IRQHandler
                B       INTUART0_IRQHandler

                PUBWEAK INTUART1_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTUART1_IRQHandler
                B       INTUART1_IRQHandler

                PUBWEAK INTI2C0_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTI2C0_IRQHandler
                B       INTI2C0_IRQHandler

                PUBWEAK INTI2C1_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTI2C1_IRQHandler
                B       INTI2C1_IRQHandler

                PUBWEAK INTI2C2_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTI2C2_IRQHandler
                B       INTI2C2_IRQHandler

                PUBWEAK INTI2C3_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTI2C3_IRQHandler
                B       INTI2C3_IRQHandler

                PUBWEAK INTI2C4_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTI2C4_IRQHandler
                B       INTI2C4_IRQHandler

                PUBWEAK INTSSP0_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTSSP0_IRQHandler
                B       INTSSP0_IRQHandler

                PUBWEAK INTSSP1_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTSSP1_IRQHandler
                B       INTSSP1_IRQHandler

                PUBWEAK INTSSP2_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTSSP2_IRQHandler
                B       INTSSP2_IRQHandler

                PUBWEAK INTCECRX_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTCECRX_IRQHandler
                B       INTCECRX_IRQHandler

                PUBWEAK INTCECTX_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTCECTX_IRQHandler
                B       INTCECTX_IRQHandler

                PUBWEAK INTRMCRX0_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTRMCRX0_IRQHandler
                B       INTRMCRX0_IRQHandler

                PUBWEAK INTADHP_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTADHP_IRQHandler
                B       INTADHP_IRQHandler

                PUBWEAK INTADM0_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTADM0_IRQHandler
                B       INTADM0_IRQHandler

                PUBWEAK INTADM1_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTADM1_IRQHandler
                B       INTADM1_IRQHandler

                PUBWEAK INTAD_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTAD_IRQHandler
                B       INTAD_IRQHandler

                PUBWEAK INTRTC_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTRTC_IRQHandler
                B       INTRTC_IRQHandler

                PUBWEAK INTMTEMG0_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTMTEMG0_IRQHandler
                B       INTMTEMG0_IRQHandler

                PUBWEAK INTMTPTB00_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTMTPTB00_IRQHandler
                B       INTMTPTB00_IRQHandler

                PUBWEAK INTMTPTB01_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTMTPTB01_IRQHandler
                B       INTMTPTB01_IRQHandler

                PUBWEAK INTMTCAP00_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTMTCAP00_IRQHandler
                B       INTMTCAP00_IRQHandler

                PUBWEAK INTMTCAP01_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTMTCAP01_IRQHandler
                B       INTMTCAP01_IRQHandler

                PUBWEAK INTMTEMG1_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTMTEMG1_IRQHandler
                B       INTMTEMG1_IRQHandler

                PUBWEAK INTMTPTB10_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTMTPTB10_IRQHandler
                B       INTMTPTB10_IRQHandler

                PUBWEAK INTMTPTB11_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTMTPTB11_IRQHandler
                B       INTMTPTB11_IRQHandler

                PUBWEAK INTMTCAP10_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTMTCAP10_IRQHandler
                B       INTMTCAP10_IRQHandler

                PUBWEAK INTMTCAP11_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTMTCAP11_IRQHandler
                B       INTMTCAP11_IRQHandler

                PUBWEAK INTTB0_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB0_IRQHandler
                B       INTTB0_IRQHandler

                PUBWEAK INTTB1_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB1_IRQHandler
                B       INTTB1_IRQHandler

                PUBWEAK INTTB2_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB2_IRQHandler
                B       INTTB2_IRQHandler

                PUBWEAK INTTB3_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB3_IRQHandler
                B       INTTB3_IRQHandler

                PUBWEAK INTTB4_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB4_IRQHandler
                B       INTTB4_IRQHandler

                PUBWEAK INTTB5_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB5_IRQHandler
                B       INTTB5_IRQHandler

                PUBWEAK INTTB6_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB6_IRQHandler
                B       INTTB6_IRQHandler

                PUBWEAK INTTB7_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB7_IRQHandler
                B       INTTB7_IRQHandler

                PUBWEAK INTTB8_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB8_IRQHandler
                B       INTTB8_IRQHandler

                PUBWEAK INTTB9_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTB9_IRQHandler
                B       INTTB9_IRQHandler

                PUBWEAK INTTBA_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTBA_IRQHandler
                B       INTTBA_IRQHandler

                PUBWEAK INTTBB_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTBB_IRQHandler
                B       INTTBB_IRQHandler

                PUBWEAK INTTBC_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTBC_IRQHandler
                B       INTTBC_IRQHandler

                PUBWEAK INTTBD_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTBD_IRQHandler
                B       INTTBD_IRQHandler

                PUBWEAK INTTBE_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTBE_IRQHandler
                B       INTTBE_IRQHandler

                PUBWEAK INTTBF_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTTBF_IRQHandler
                B       INTTBF_IRQHandler

                PUBWEAK INTCAP00_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTCAP00_IRQHandler
                B       INTCAP00_IRQHandler

                PUBWEAK INTCAP01_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTCAP01_IRQHandler
                B       INTCAP01_IRQHandler

                PUBWEAK INTCAP10_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTCAP10_IRQHandler
                B       INTCAP10_IRQHandler

                PUBWEAK INTCAP11_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTCAP11_IRQHandler
                B       INTCAP11_IRQHandler

                PUBWEAK INTCAP20_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTCAP20_IRQHandler
                B       INTCAP20_IRQHandler

                PUBWEAK INTCAP21_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTCAP21_IRQHandler
                B       INTCAP21_IRQHandler

                PUBWEAK INTCAP30_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTCAP30_IRQHandler
                B       INTCAP30_IRQHandler

                PUBWEAK INTCAP31_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTCAP31_IRQHandler
                B       INTCAP31_IRQHandler

                PUBWEAK INTCAP40_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTCAP40_IRQHandler
                B       INTCAP40_IRQHandler

                PUBWEAK INTCAP41_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTCAP41_IRQHandler
                B       INTCAP41_IRQHandler

                PUBWEAK INTCAP50_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTCAP50_IRQHandler
                B       INTCAP50_IRQHandler

                PUBWEAK INTCAP51_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTCAP51_IRQHandler
                B       INTCAP51_IRQHandler

                PUBWEAK INTCAP60_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTCAP60_IRQHandler
                B       INTCAP60_IRQHandler

                PUBWEAK INTCAP61_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTCAP61_IRQHandler
                B       INTCAP61_IRQHandler

                PUBWEAK INTCAP70_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTCAP70_IRQHandler
                B       INTCAP70_IRQHandler

                PUBWEAK INTCAP71_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTCAP71_IRQHandler
                B       INTCAP71_IRQHandler

                PUBWEAK INTCAP80_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTCAP80_IRQHandler
                B       INTCAP80_IRQHandler

                PUBWEAK INTCAP81_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTCAP81_IRQHandler
                B       INTCAP81_IRQHandler

                PUBWEAK INTCAP90_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTCAP90_IRQHandler
                B       INTCAP90_IRQHandler

                PUBWEAK INTCAP91_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTCAP91_IRQHandler
                B       INTCAP91_IRQHandler

                PUBWEAK INTCAPA0_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTCAPA0_IRQHandler
                B       INTCAPA0_IRQHandler

                PUBWEAK INTCAPA1_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTCAPA1_IRQHandler
                B       INTCAPA1_IRQHandler

                PUBWEAK INTCAPB0_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTCAPB0_IRQHandler
                B       INTCAPB0_IRQHandler

                PUBWEAK INTCAPB1_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTCAPB1_IRQHandler
                B       INTCAPB1_IRQHandler

                PUBWEAK INTCAPC0_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTCAPC0_IRQHandler
                B       INTCAPC0_IRQHandler

                PUBWEAK INTCAPC1_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTCAPC1_IRQHandler
                B       INTCAPC1_IRQHandler

                PUBWEAK INTCAPD0_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTCAPD0_IRQHandler
                B       INTCAPD0_IRQHandler

                PUBWEAK INTCAPD1_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTCAPD1_IRQHandler
                B       INTCAPD1_IRQHandler

                PUBWEAK INTCAPE0_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTCAPE0_IRQHandler
                B       INTCAPE0_IRQHandler

                PUBWEAK INTCAPE1_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTCAPE1_IRQHandler
                B       INTCAPE1_IRQHandler

                PUBWEAK INTCAPF0_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTCAPF0_IRQHandler
                B       INTCAPF0_IRQHandler

                PUBWEAK INTCAPF1_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTCAPF1_IRQHandler
                B       INTCAPF1_IRQHandler

                PUBWEAK INTDMAA_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTDMAA_IRQHandler
                B       INTDMAA_IRQHandler

                PUBWEAK INTDMAB_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTDMAB_IRQHandler
                B       INTDMAB_IRQHandler

                PUBWEAK INTDMAC_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTDMAC_IRQHandler
                B       INTDMAC_IRQHandler

                PUBWEAK INTDMAAERR_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTDMAAERR_IRQHandler
                B       INTDMAAERR_IRQHandler

                PUBWEAK INTDMABERR_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTDMABERR_IRQHandler
                B       INTDMABERR_IRQHandler

                PUBWEAK INTDMACERR_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTDMACERR_IRQHandler
                B       INTDMACERR_IRQHandler

                PUBWEAK INTFLRDY_IRQHandler
                SECTION .text:CODE:REORDER:NOROOT(1)
INTFLRDY_IRQHandler
                B       INTFLRDY_IRQHandler

                END
