/** 
 *******************************************************************************
 * @file     power_mode.c
 * @brief   the application functions of RMC Power_Mode_Change demo for the TOSHIBA
 *          'TMPM461' Device Series 
 * @version V0.103
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Includes ------------------------------------------------------------------*/
#include "power_mode.h"

/* for MCU */
void __WFI_wait()
{
    __WFI();
    __NOP();
    __NOP();
    __NOP();
    __NOP();
    __NOP();
    __NOP();
    __NOP();
    __NOP();
}

/**
  * @brief  mode shift from normal to stop1.
  * @param  None.
  * @retval sucess or error code
  */

void PowerMode_N2Stop1(void)
{
    CG_SetFs(ENABLE);           /* enable low-speed oscillation */

    /* Set CG module: Normal ->Stop mode */
    CG_SetWarmUpTime(CG_WARM_UP_SRC_OSC_INT_HIGH, 0x9C40U);
    CG_StartWarmUp();           /* start warm up */

    while (CG_GetWarmUpState() == BUSY)

        /* check whether warm up ends or not */
        CG_SetWarmUpTime(CG_WARM_UP_SRC_OSC_INT_HIGH, 0x9C40U);

    CG_SetSTBYMode(CG_STBY_MODE_STOP1); /* set low power consumption mode stop1 */

    NVIC->ICPR[0] = 0xffffffffU;        /* clear the pending INT requests */
    NVIC->ICPR[1] = 0xffffffffU;        /* clear the pending INT requests */
    __DSB();                    /* Errata 548721 */
    __WFI_wait();
}
