/** 
 *******************************************************************************
 * @file    tmpm461_int.h
 * @brief   all interrupt request functions definition of CEC_TRX 
 *          for the TOSHIBA 'TMPM461' Device Series 
 * @version V0.101
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */
/* Define to prevent recursive inclusion -------------------------------------*/

#ifndef __SYSTEM_IT_H
#define __SYSTEM_IT_H
/* Includes ------------------------------------------------------------------*/
#include "main.h"

/* external variables --------------------------------------------------------*/

extern uint8_t gCEC_SendMode;
extern uint8_t gCEC_SendDataBuf[17];
extern uint8_t gCEC_SendCnt;
extern uint8_t gCEC_SendByte;
extern uint8_t gCEC_SndEnd_Flag;
extern uint8_t gCEC_RcvMode;
extern uint8_t gCEC_RcvEnd_Flag;

extern uint8_t gCecTime;
extern uint8_t gCecUnP;

/* Private function prototypes -----------------------------------------------*/
void INTCECRX_IRQHandler(void);
void INTCECTX_IRQHandler(void);
void INTRMCRX0_IRQHandler(void);
void INTTB0_IRQHandler(void);
void INTTB1_IRQHandler(void);
void INTTX0_IRQHandler(void);
void INTRX0_IRQHandler(void);

#endif                          /* __SYSTEM_IT_H */
/******************************** END OF FILE *********************************/
