/** 
 *******************************************************************************
 * @file    led.h
 * @brief   LED functions prototypes for the TOSHIBA 'TMPM461' Device Series
 * @version V2.0.2.2
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */
/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __LED_H
#define __LED_H

#include "TMPM461.h"
#include "tmpm461_gpio.h"

/* Private typedef -----------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/

#define LED0     0x0001U
#define LED1     0x0002U
#define LED2     0x0004U
#define LED3     0x0008U
#define LED_ALL  0x000FU

/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
/* external variables --------------------------------------------------------*/
/* Exported functions ------------------------------------------------------- */
void LED_Init(void);
void LED_On(uint16_t led);
void LED_Off(uint16_t led);

#endif                          /* LED_H */
